from django.urls import path
from . import views


urlpatterns = [
    # path('', views.group, name="groups")
    path('', views.account_login, name="accounts"),
    path('logout/', views.account_logout, name="logout"),
    
    # user roles and permissions
    path('users/', views.create_user, name="users"),
    path('users/roles/', views.roles, name="roles"),
    path('updateUsers/', views.updateUsers, name="updateUsers"),
    path('deleteUsers/', views.deleteUsers, name="deleteUsers"),
    path('viewUserById/', views.viewUserById, name="viewUserById"), 
    path('deleteRole/', views.deleteRole, name="deleteRole"), 
    path('viewRolesById/', views.viewRolesById, name="viewRolesById"), 
    path('updateRoles/', views.updateRoles, name="updateRoles"), 
    path('user_role_update/<int:id>', views.user_role_update, name="user_role_update"), 
    path('reset_password/', views.reset_password, name="reset_password"), 

    
]